Skip to main content
GET
/
credits
/
transactions
List credit transactions
curl --request GET \
  --url https://api.veryfront.com/credits/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "user_id": "<string>",
      "type": "tier_grant",
      "pool": "tier",
      "amount": 123,
      "description": "<string>",
      "created_at": "<string>"
    }
  ],
  "page_info": {
    "self": "<string>",
    "first": null,
    "next": "<string>",
    "prev": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Query Parameters

limit
integer
default:50

Maximum number of transactions to return

Required range: 1 <= x <= 100
Example:

50

cursor
string

Opaque transaction cursor returned in page_info.next

offset
integer | null

Legacy offset used to derive the cursor

Required range: x >= 0
Example:

0

Response

Credit transaction page

data
object[]
required
page_info
object
required

Pagination cursor values for traversing the result set.